function $$(id)
{
    return document.getElementById(id);
}
function InitAlbum(par1,par2)
{
    $('#album-box .album-pic-list').marquee({
        direction: 'left',
        next: 'next',
        prev: 'prev',
        autoPlay: par1,
        perPage: 108,
        step: 1,
        conType: 'div',
        waitTime:par2,
        controller: '#album-box .album-pic-list .pic'
    }, function (i, len) {
        if (i >= len) {
            return false;
        }
        var pic = $('#album-box .album-pic-list .pic').eq(i);
        var img = pic.find('img');
        $('#album-box .album-pic-list .current').removeClass('current');
        pic.find('a').addClass('current');
        $('#spic').loadpic({
            'src': img.parent().attr('href'),
            'wrapObj': $('#spic').parent()
        });
    }, function (pos) {
        if (pos == 'begin') {
            $('#prev').parent().addClass('prev-disabled');
        }
        else if (pos == 'end') {
            $('#next').parent().addClass('next-disabled');
        }
        else {
            $('#prev').parent().removeClass('prev-disabled');
            $('#next').parent().removeClass('next-disabled');
        }
    });

    $('#arrow-right').click(function () {
        $('#next').click();
        return false;
    });
    $('#arrow-left').click(function () {
        $('#prev').click();
        return false;
    });
}
function _Play(obj)
{
    obj.className='none';
    $$('pause').className='';
}
function _Pause(obj)
{
    obj.className='none';
    $$('play').className='';
    $$('play').innerHTML='继续播放';
}

//

function StartMarquee(elementID,h,n,speed,delay){
    var t = null;
    var box = '#' + elementID;
    $(box).hover(function(){
        clearInterval(t);
    },function(){
        t = setInterval(start,delay);
    }).trigger('mouseout');
    function start(){
        $(box).children('ul:first').animate({marginTop:'-='+h},speed,function(){
            $(this).css({marginTop:'0'}).find('li').slice(0,n).appendTo(this);
        })
    }
}